Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Typedefs
digest.h File Reference
`#include "ruby.h"`
Include dependency graph for digest.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | rb_digest_metadata_t

## Macros
#define | RUBY_DIGEST_API_VERSION 2

## Typedefs
typedef void(* | rb_digest_hash_init_func_t )(void *)
typedef void(* | rb_digest_hash_update_func_t )(void *, unsigned char *, size_t)
typedef void(* | rb_digest_hash_finish_func_t )(void *, unsigned char *)

## Macro Definition Documentation

#define RUBY_DIGEST_API_VERSION 2

Definition at line 18 of file digest.h.

## Typedef Documentation

typedef void(* rb_digest_hash_finish_func_t)(void *, unsigned char *)

Definition at line 22 of file digest.h.

typedef void(* rb_digest_hash_init_func_t)(void *)

Definition at line 20 of file digest.h.

typedef void(* rb_digest_hash_update_func_t)(void *, unsigned char *, size_t)

Definition at line 21 of file digest.h.